Difference between revisions of "EdShare Reference Installation"

From EPrints Documentation
Jump to: navigation, search
(Plugins)
(Installation)
Line 17: Line 17:
  
 
=Installation=
 
=Installation=
 +
 +
==Conventions==
 +
 +
The following conventions apply in this recipie;
 +
* ''EPRINTS_ROOT'' - This is where you installed eprints. Usually this is ''/usr/share/eprints3'' on Debian/Ubuntu or ''/opt/eprints3'' following a source code install. Obviously change this if you installed EPrints elsewhere.
 +
* ''ARCHIVEID'' - This is the id of the archive you set up that you want to carry out this recipie on.
  
 
==Getting Started==
 
==Getting Started==

Revision as of 16:46, 10 February 2010

EdShare

Edshare logo.png

Supported EPrints Versions 3.2

Project Started 2009

Project Webpage http://edshare.org.uk


Created By ECS, University of Southampton

  • Recipies
    • EdShare Reference Installation

Introduction

The EdShare Reference Installation is the standard installation for EdShare and includes all of the functionality that is covered by the EdShare suite.

Features

Once you have completed this recipie you will have a repository that has the following functionality;

  • A simplified workflow removing features that are not required in the context of a teaching and learning resources repository
  • Ability to create collections of resources
  • Users can bookmark resources and collections
  • There will be previews of documents on abstract pages

Time Required

2 hours

This time is purely an estimate, it may take you longer if you are not well versed in the customisation of EPrints through plugins. Additionally you should be comfortable working on a Linux command line.

Installation

Conventions

The following conventions apply in this recipie;

  • EPRINTS_ROOT - This is where you installed eprints. Usually this is /usr/share/eprints3 on Debian/Ubuntu or /opt/eprints3 following a source code install. Obviously change this if you installed EPrints elsewhere.
  • ARCHIVEID - This is the id of the archive you set up that you want to carry out this recipie on.

Getting Started

EPrints

You will need to have installed at least EPrints 3.1 before continuing. See the following pages for reference on how to do this;

Plugins

You will need to obtain the following plugins in order to complete this recipie;

Additionally consult these pages for individual installation instructions for these plugins.

Plugin Installation

EdShareCore